Bug 1014559 - Update PackageKit to Python 3
Update PackageKit to Python 3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On: PY3DNF
Blocks: F23PYTHON3
  Show dependency treegraph
 
Reported: 2013-10-02 06:53 EDT by Miro Hrončok
Modified: 2015-03-11 04:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-10 18:17:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-10-02 06:53:54 EDT
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

From that perspective, your package is considered as IMPORTANT - that means, is has to be updated to Python 3, for our intention come true.

The goal here is, that this package uses Python 3 as default in Fedora 22.

Please, help use update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add te support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, you'll need to patch this package on Fedora level. Try to avoid this as much as you can, but use it, if it's the last option.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

Once Python 3 is supported, check your package, if it works with it. Don't switch to Python 3 yet as a default (that's still against the guidelines). I recommend to prepare your spec and conditionalize the thing with something like %global default_python 2/3.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)
Comment 1 Miro Hrončok 2013-10-02 07:29:40 EDT
This also means that all yum bindings should use dnf.
Comment 2 Toshio Ernie Kuratomi 2013-10-02 18:27:07 EDT
Note: do not follow this portion of the advice as it is against the Packaging Guidelines: "When upstream is dead or unwilling to support Python 3, you'll need to patch this package on Fedora level. Try to avoid this as much as you can, but use it, if it's the last option."

If you are in this situation, you'll essentially be forking upstream in order to produce a python3 port.  In that situation, the proper thing to do is to create a new package with the python3 port.  It would be even better to create the proper upstream infrastructure as well (new upstream scm and issue tracker) but that isn't 100% required by the guidelines.
Comment 3 Richard Hughes 2013-12-11 04:38:53 EST
In Fedora 20 we ship the hawkey backend as well as the yum backend. We'll be switching to the former in Fedora 21 by default, so we don't have to worry that yum will remain python2. I've asked the other maintainers what parts of the code work with python3, but we should be fine to switch in time for F22.
Comment 4 Miro Hrončok 2013-12-11 04:52:52 EST
Great, thanks for info
Comment 5 Jaroslav Reznik 2015-03-03 11:55:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 6 Rex Dieter 2015-03-10 18:17:14 EDT
$ rpm -q PackageKit
PackageKit-1.0.5-1.fc22.x86_64


$ rpm -qR PackageKit-hawkey PackageKit | grep python
(empty)


I think we can close this?
Comment 7 Bohuslav "Slavek" Kabrda 2015-03-11 04:27:33 EDT
(I see you already closed this, so just FTR: No subpackage of PackageKit depends on Python any more. so nothing to fix here)

Note You need to log in before you can comment on or make changes to this bug.